Subject: Re: [PATCH net] net/sched: Don't print dump stack in event of transmission timeout

From: Leon Romanovsky <[email-masked]>
Date: Fri, 3 Apr 2020 07:40:05 +0300

On Thu, Apr 02, 2020 at 06:02:18PM -0700, David Miller wrote:
> From: Leon Romanovsky <[email-masked]>
> Date: Thu,  2 Apr 2020 18:23:36 +0300
>
> > In event of transmission timeout, the drivers are given an opportunity
> > to recover and continue to work after some in-house cleanups.
> >
> > Such event can be caused by HW bugs, wrong congestion configurations
> > and many more other scenarios. In such case, users are interested to
> > get a simple  "NETDEV WATCHDOG ... " print, which points to the relevant
> > netdevice in trouble.
> >
> > The dump stack printed later was added in the commit b4192bbd85d2
> > ("net: Add a WARN_ON_ONCE() to the transmit timeout function") to give
> > extra information, like list of the modules and which driver is involved.
> >
> > While the latter is already printed in "NETDEV WATCHDOG ... ", the list
> > of modules rarely needed and can be collected later.
> >
> > So let's remove the WARN_ONCE() and make dmesg look more user-friendly in
> > large cluster setups.
>
> Software bugs play into these situations and on at least two or three
> occasions I know that the backtrace hinted at the cause of the bug.
>
> I'm not applying this, sorry.

Dave,

In our case, it is HW bug and I'm looking for a way to silence dump
stack. Do I have any way to avoid WARN here?

It will be a little bit overkill to add some special flag to general
netdev structure just to mark that mlx4 doesn't need this trace.

Thanks